%define oname zope.app.externaleditor

%def_with python3

Name: python-module-%oname
Version: 3.5.0
Release: alt3
Summary: Editing Zope 3 Content with an External Editor
License: ZPLv2.1
Group: Development/Python
Url: http://pypi.python.org/pypi/zope.app.externaleditor/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar

BuildPreReq: python-devel python-module-setuptools
%if_with python3
BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-module-setuptools
%endif

%py_requires zope.app.component zope.app.content zope.app.file
%py_requires zope.app.interface zope.app.testing zope.filerepresentation
%py_requires zope.interface zope.publisher zope.security zope.traversing

%description
This package allows Zope 3 content components to be edited via an editor
of your choice.

%package -n python3-module-%oname
Summary: Editing Zope 3 Content with an External Editor
Group: Development/Python3
%py3_requires zope.app.component zope.app.content zope.app.file
%py3_requires zope.app.interface zope.app.testing zope.filerepresentation
%py3_requires zope.interface zope.publisher zope.security zope.traversing

%description -n python3-module-%oname
This package allows Zope 3 content components to be edited via an editor
of your choice.

%package -n python3-module-%oname-tests
Summary: Tests for zope.app.externaleditor
Group: Development/Python3
Requires: python3-module-%oname = %version-%release
%py3_requires zope.app.testing zope.container

%description -n python3-module-%oname-tests
This package allows Zope 3 content components to be edited via an editor
of your choice.

This package contains tests for zope.app.externaleditor.

%package tests
Summary: Tests for zope.app.externaleditor
Group: Development/Python
Requires: %name = %version-%release
%py_requires zope.app.testing zope.container

%description tests
This package allows Zope 3 content components to be edited via an editor
of your choice.

This package contains tests for zope.app.externaleditor.

%prep
%setup

%if_with python3
cp -fR . ../python3
%endif

%build
%python_build

%if_with python3
pushd ../python3
%python3_build
popd
%endif

%install
%python_install
%ifarch x86_64
install -d %buildroot%python_sitelibdir
mv %buildroot%python_sitelibdir_noarch/* \
	%buildroot%python_sitelibdir/
%endif

%if_with python3
pushd ../python3
%python3_install
popd
%ifarch x86_64
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif
%endif

%files
%doc *.txt
%python_sitelibdir/*
%exclude %python_sitelibdir/*.pth
%exclude %python_sitelibdir/*/*/*/tests

%files tests
%python_sitelibdir/*/*/*/tests

%if_with python3
%files -n python3-module-%oname
%doc *.txt
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/*/tests

%files -n python3-module-%oname-tests
%python3_sitelibdir/*/*/*/tests
%endif

%changelog
* Sat Jul 26 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5.0-alt3
- Added module for Python 3

* Thu Oct 20 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 3.5.0-alt2.1
- Rebuild with Python-2.7

* Mon Jun 27 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5.0-alt2
- Added necessary requirements
- Excluded *.pth

* Mon May 23 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5.0-alt1
- Initial build for Sisyphus

